Bug 3481 - In Processing/Shelving Cart locations
Summary: In Processing/Shelving Cart locations
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: rel_3_0
Hardware: PC All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Galen Charlton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-02 06:31 UTC by Jane Wagner
Modified: 2012-10-25 22:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
In Processing/Shelving Cart display screenshot (24.73 KB, image/jpeg)
2009-08-02 18:31 UTC, Chris Cormack
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:11:12 UTC


---- Reported by jwagner@ptfs.com 2009-08-02 18:31:09 ----

Created an attachment
In Processing/Shelving Cart display screenshot

Sponsored by Middletown Township Public Library, Middletown, NJ, USA and East Brunswick Public Library, East Brunswick, NJ, USA.

Allows temporary locations corresponding to 'in processing' and 'shelving' so that newly-created items and newly-returned items do not show immediately as a available. Three new system preferences govern the usage of these features.  Create authorized values under LOC for PROC and CART; description can vary according to site (In Processing, Shelving Cart would be standard).

NewItemsDefaultLocation. If system pref NewItemsDefaultLocation is set to a location code (PROC), all newly catalogued items will be set to the location set in this preference. Location code must be a valid LOC authorized value type.  Enter permanent location when creating items; it will be retained and set when item is shelved.  When the item is finished being processed, check it in.

InProcessingToShelvingCart. if the system pref InProcessingToShelvingCart is turned on, any items run through returns.pl with a location code for 'PROC' sill be modified to have a new location code of 'CART'.  The permanent location is saved and will be reset when the item comes off the cart.

ReturnToShelvingCart.  If the syspref ReturnToShelvingCart is turned on, all items returned other than confirmed holds will have a new location code of 'CART'.  Any item issued is automatically taken of the shelving cart.

Adds a cron script shelf_to_cart.pl which should be run hourly; amount of time the item should be in shelving cart can be specified as a parameter in hours. Updates all items with a location of CART to the item's permanent location.

The original location code is stored in the new items column 'permanent_location'.

Patch sent July 26, 2009.



---- Additional Comments From gmcharlt@gmail.com 2009-08-23 17:11:09 ----

Patch and followups pushed to HEAD.  Please test and close.



---- Additional Comments From nengard@gmail.com 2009-09-07 23:55:14 ----

Jane,  do you have a document that talks about the process one would go through to see these things in action? Can I see it so I can update the manual accordingly?

Nicole



---- Additional Comments From jwagner@ptfs.com 2009-09-08 12:35:05 ----

Nicole, here are my brief notes about how to use; let me know if you need them expanded.

Create authorized values of type LOC named PROC and CART, with whatever descriptions you want (e.g., In Processing and Shelving Cart).  Set the new system pref NewItemsDefaultLocation to the processing code (PROC).  Create items with their desired final shelving location.  These newly catalogued items will be temporarily set to the PROC location and will display with whatever description PROC has. The original location code entered at item creation is stored in the new items column 'permanent_location', for future use.  Items will stay in the PROC location until they are checked in.

To have those items then move to the shelving cart, with the new system pref InProcessingToShelvingCart turned on, check in those newly-created items.  They will be moved to the location code of CART and display with whatever description CART has.  A cron job script runs at specified intervals to age items from CART to the permanent shelving location. (For example, an hourly cron entry of cart_to_shelf.pl --hours 3 where --hours is the amount of time an item should spend on the cart before aging to its permanent location.)

If the new syspref ReturnToShelvingCart is turned on, any newly-checked-in item is also automatically put into the shelving cart, to be covered by the same script run.  Checkins with confirmed holds will not go into the shelving cart.  If items on the shelving cart are checked out, the cart location will be cleared.





---- Additional Comments From nengard@gmail.com 2009-09-21 20:17:02 ----

Should we make it so that those two authorized values (PROC and CART) are added by default on install or update? Instead of making the users do so?



---- Additional Comments From nengard@gmail.com 2009-09-21 20:35:55 ----

Documentation added:

http://koha.org/documentation/manual/3.2/circulation/in-processing-book-cart-locations/view

http://koha.org/documentation/manual/3.2/administration/global-system-preferences/circulation/view

http://koha.org/documentation/manual/3.2/appendices/cron-jobs/view



---- Additional Comments From jwagner@ptfs.com 2009-09-23 12:29:36 ----

I've been out for a few days -- thanks to Nicole for doing a patch to add the authorized values at install!



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:11 UTC  ---

This bug was previously known as _bug_ 3481 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3481
Imported an attachment (id=1345)

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, gmcharlt@gmail.com.
   Previous assignee was jwagner@ptfs.com.
The original submitter of attachment 1345 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.